DocsAPI ReferenceInvoice/bff/invoice/detail
getInvoiceAdmin BFF

/bff/invoice/detail

Returns complete invoice detail including line items, supplier, customer, and payment information. This data can be used for displaying the invoice or generating PDF.

InvoicegetBffInvoiceDetail

Parameters

1 query

1 total
Query · 1
idstringRequired

External invoice ID (16 characters).

Request

GET /bff/invoice/detail

get
curl -X GET "https://api.bizkithub.com/bff/invoice/detail?id=aB3xKm9pQ2wLn4Yz" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

Complete invoice detail.

{
  "id": "example_id",
  "sequenceNumber": "example_sequenceNumber",
  "type": "example_type",
  "title": "example_title",
  "status": "example_status",
  "hasPaid": false,
  "total": 0,
  "currency": "example_currency",
  "supplier": {
    "name": "example_name",
    "streetAddress": "example_streetAddress",
    "city": "example_city",
    "postalCode": "example_postalCode",
    "companyRegistrationNumber": "example_companyRegistrationNumber",
    "taxIdentificationNumber": "example_taxIdentificationNumber",
    "accountNumber": "example_accountNumber",
    "addressDescription": "example_addressDescription"
  },
  "customer": {
    "name": "example_name",
    "streetAddress": "example_streetAddress",
    "city": "example_city",
    "postalCode": "example_postalCode",
    "companyRegistrationNumber": "example_companyRegistrationNumber",
    "taxIdentificationNumber": "example_taxIdentificationNumber",
    "accountNumber": "example_accountNumber",
    "addressDescription": "example_addressDescription"
  },
  "variableSymbol": "example_variableSymbol",
  "constantSymbol": "example_constantSymbol",
  "specificSymbol": "example_specificSymbol",
  "bankName": "example_bankName",
  "iban": "example_iban",
  "bic": "example_bic",
  "dueDate": "example_dueDate",
  "issueDate": "example_issueDate",
  "taxableSupplyDate": "example_taxableSupplyDate",
  "paymentMethod": "example_paymentMethod",
  "publicNotice": "example_publicNotice",
  "internalNotice": "example_internalNotice",
  "items": [
    {
      "description": "example_description",
      "quantity": 0,
      "unit": "example_unit",
      "unitPrice": 0,
      "totalPrice": 0,
      "vatRate": 0
    }
  ],
  "useVat": false,
  "logoUrl": "example_logoUrl",
  "snapshottedAt": "example_snapshottedAt",
  "lastReminderAt": "example_lastReminderAt",
  "reminderCount": 0,
  "file": {
    "token": "example_token",
    "filename": "example_filename",
    "downloadUrl": "example_downloadUrl",
    "size": 0
  }
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key